Package Details: pikaur 1.6.16.2-1

Git Clone URL: https://aur.archlinux.org/pikaur.git (read-only, click to copy)
Package Base: pikaur
Description: AUR helper which asks all questions before installing/building. Inspired by pacaur, yaourt and yay.
Upstream URL: https://github.com/actionless/pikaur
Keywords: aur aur-helper pacman wrapper
Licenses: GPL3
Conflicts: pikaur-git
Provides: pikaur
Submitter: actionless
Maintainer: actionless
Last Packager: actionless
Votes: 217
Popularity: 3.31
First Submitted: 2018-03-24 23:58
Last Updated: 2021-02-13 01:21

Dependencies (5)

Required by (5)

Sources (1)

Pinned Comments

actionless commented on 2018-12-10 10:20

please report your issue here with attaching the full output with --pikaur-debug flag: https://github.com/actionless/pikaur/issues

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

actionless commented on 2020-07-07 13:14

@risto3 your repo is broken:

$ pikaur -Ss haskell-xcffib
Searching... [###]
community/haskell-xcffib 0.9.0-37
    A cffi-based python binding for X

risto3 commented on 2020-07-07 12:47

I have the following now trying to run pikaur on an odroid-c2 (aarch64):

$ LANG=C pikaur -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 alarm is up to date
 aur is up to date

:: Starting full AUR upgrade...
Reading repository package databases...
Reading local package database...
Reading AUR packages info...
Resolving AUR dependencies...
:: error: Can't resolve dependencies for AUR package 'python2-xcffib':
:: error: Dependencies missing for python2-xcffib
:: warning: Following package cannot be found in AUR:
    haskell-xcffib    

It used to work, but what is this haskell business all of a sudden?

actionless commented on 2020-06-24 14:24

@JamJam https://github.com/actionless/dotfiles/blob/master/misc/bin/pacman-auto-remove

JamJam commented on 2020-03-18 19:21

Is there a way to use pikaur to clean unused dependencies from your computer?

RubenKelevra commented on 2020-02-24 20:27

Looks broken to me, gives a permission error on start

PermissionError: [Errno 13] Permission denied: '/usr/lib/python3.8/site-packages/pikaur/news.py'

I've reported it here:

https://github.com/actionless/pikaur/issues/456

malberto commented on 2019-11-18 13:57

@E3LDDfrK There was a major python update (3.7.x - 3.8), all aur packages that depend on python 3 have to be rebuilt.

scootz commented on 2019-11-14 19:34

@E3LDDfrK I reinstalled pikaur and fixed the issue for me.

E3LDDfrK commented on 2019-11-14 19:28

Had this problem just now:

$ pikaur 
Traceback (most recent call last):
  File "/usr/bin/pikaur", line 5, in <module>
    from pikaur.main import main
ModuleNotFoundError: No module named 'pikaur'

Need to reinstall manually. Any idea what happened?

andreyv commented on 2019-10-29 19:49

gettext is in the base-devel group, which is assumed to be installed if you use AUR.

jewelux commented on 2019-10-29 19:22

Hi @actionless, is it possible to add makedepends=('gettext') to pkgbuild? THX!